org.springframework.data.spel.spi

## Interface ExtensionIdAware

All Known Subinterfaces:
  EvaluationContextExtension, ReactiveEvaluationContextExtension

    public interface ExtensionIdAware

Marker interface for Spring Data `EvaluationContext` extensions.

Since:
  2.4
Author:
  Mark Paluch
See Also:
  `EvaluationContextExtension`, `ReactiveEvaluationContextExtension`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getExtensionId()` Return the identifier of the extension.

### Method Detail

#### getExtensionId

    String getExtensionId()

Return the identifier of the extension. The id can be leveraged by users to fully qualify property lookups and thus overcome ambiguities in case multiple extensions expose properties with the same name.

Returns:
  the extension id, never null.